﻿using ApiFrame.Framework.Injection;
using ApiFrame.Framework.Interface;
using ApiFrame.Framework.Signature;
using ApiFrame.WebApi.ServerDemo.ApiFrameConfig;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Http;
using System.Web.Mvc;
using System.Web.Optimization;
using System.Web.Routing;

namespace ApiFrame.WebApi.ServerDemo
{
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801

    public class WebApiApplication : System.Web.HttpApplication
    {
        protected void Application_Start()
        {
            AreaRegistration.RegisterAllAreas();

            WebApiConfig.Register(GlobalConfiguration.Configuration);
            FilterConfig.RegisterGlobalFilters(GlobalFilters.Filters);
            RouteConfig.RegisterRoutes(RouteTable.Routes);
            BundleConfig.RegisterBundles(BundleTable.Bundles);

            // ApiFrameConfiguration
            ApiObjectFactory.RegisterType<IApiInception, ApiInception>();
            ApiObjectFactory.RegisterType<IApiException, ApiException>();
            ApiObjectFactory.RegisterType<IApiSignature, ApiSignature>();
        }
    }
}